Bug 19029 - Maybe there could be a function to specify a cache manifest in the API so that instead of the application asking for offline storage when the page loads, some JavaScript can be used to request storage when the user clicks on a "Use Offline Mode" link.
Maybe there could be a function to specify a cache manifest in the API so tha...
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:56 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:56:15 UTC
This was was cloned from bug 9695 as part of operation LATER convergence.
Originally filed: 2010-05-09 18:45:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-05-09 18:45:13 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#application-cache-api

Comment:
Maybe there could be a function to specify a cache manifest in the API so that
instead of the application asking for offline storage when the page loads,
some JavaScript can be used to request storage when the user clicks on a "Use
Offline Mode" link.

Posted from: 76.218.82.122
================================================================================
 #1   Ian 'Hixie' Hickson                             2010-08-24 22:29:21 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Rejected
Change Description: no spec change
Rationale: If it turns out that people do this (rather than browsers just granting some space automatically without prompting the user) then we can add such a feature, sure. But we should wait to find out how people use it first.
================================================================================